
%global meadversion 2.7.1
%global namedversion 2.7.1.redhat-00014
%global meadalpha .redhat_00014
%global meadrel .1
%global serial 36
%global namedversionrel redhat-00014

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package xalan-j2}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.7.1.redhat-00014

Name:           %{?scl_prefix}xalan-j2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Xalan Java
Group:          Development/Java

%if %with mead
Source100: xalan-parent-2.7.1.redhat-00014-project-sources.tar.gz
Source102: xalan-2.7.1.redhat-00014-javadoc.jar
Source103: xalan-parent-2.7.1.redhat-00014-javadoc.jar
Source104: xalan-2.7.1.redhat-00014.pom
Source105: xalan-parent-2.7.1.redhat-00014.pom
Source106: serializer-2.7.1.redhat-00014.jar
Source107: serializer-2.7.1.redhat-00014.pom
Source108: xalan-2.7.1.redhat-00014.jar
Source109: serializer-2.7.1.redhat-00014-javadoc.jar
Source110: xalan-2.7.1.redhat-00014-sources.jar
Source111: serializer-2.7.1.redhat-00014-sources.jar
%endif

License:        ASL 2.0
URL:            http://xml.apache.org/xalan-j/
Provides:       %{?scl_prefix}serializer = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}xalan = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xalan-%{namedversion}-%{release}-root

%description
Xalan-Java is an XSLT processor for transforming XML documents into HTML,
text, or other XML document types. It implements XSL Transformations (XSLT)
Version 1.0 and XML Path Language (XPath) Version 1.0 and can be used from
the command line, in an applet or a servlet, or as a module in other program.

%if %with javadoc
%package javadoc
Summary:        Javadoc for xalan-parent
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xalan-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/serializer-%{namedversion}.jar %{buildroot}%{_javadir}/serializer-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/serializer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/serializer-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/serializer-%{namedversion}-sources.jar %{buildroot}%{_javadir}/serializer-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/xalan-%{namedversion}.jar %{buildroot}%{_javadir}/xalan-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xalan-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xalan-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xalan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xalan-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xalan-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xalan-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xalan-%{namedversion} -x META-INF/\*
%{__ln_s} xalan-%{namedversion} %{buildroot}%{_javadocdir}/xalan
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.txt NOTICE.txt readme.html readme.txt Xalan2.7.0-REL_PLAN.html
%{_javadir}/serializer-%{namedversion}.jar
%{_javadir}/serializer.jar
%if %with javadoc
%{_javadir}/serializer-%{namedversion}-javadoc.jar
%{_javadir}/serializer-javadoc.jar
%endif
%{_javadir}/serializer-%{namedversion}-sources.jar
%{_javadir}/serializer-sources.jar
%{_javadir}/xalan-%{namedversion}.jar
%{_javadir}/xalan.jar
%if %with javadoc
%{_javadir}/xalan-%{namedversion}-javadoc.jar
%{_javadir}/xalan-javadoc.jar
%endif
%{_javadir}/xalan-%{namedversion}-sources.jar
%{_javadir}/xalan-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xalan-%{namedversion}
%{_javadocdir}/xalan
%endif

%changelog
* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.7.1-36.redhat_00014.1
- Built by CPaaS

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.7.1-35.redhat_12.1
- Rewrap for 7.2.0

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.7.1-34.redhat_12.1
- upgrade to 2.7.1.redhat-12

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.7.1-34.redhat_12.1
- upgrade to 2.7.1.redhat-12

* Wed Jul 27 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.7.1-25.redhat_11.1
- Upgrade to 2.7.1.redhat-11

* Mon Apr 27 2015 David Walluck <dwalluck@redhat.com> - 2.7.1-24.redhat_10.1
- build with proper arguments

